> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Determine if the auto-save buffer differs from the live blog post

> Returns a dictionary: {"has_buffered_changes": false/true} depending on if the buffer is different from the live object.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/blog-posts-v2.json GET /content/api/v2/blog-posts/{blog_post_id}/has-buffered-changes
openapi: 3.0.1
info:
  title: Blog Posts API - V2
  version: v2
  description: >-
    Use the blog posts API to create, manage, and publish blog posts on your
    website.
  x-hubspot-api-use-case: Retrieve all blog posts created this year as a part of a content audit.
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Blog Posts
paths:
  /content/api/v2/blog-posts/{blog_post_id}/has-buffered-changes:
    get:
      tags:
        - Blog Posts
      summary: Determine if the auto-save buffer differs from the live blog post
      description: >-
        Returns a dictionary: {"has_buffered_changes": false/true} depending on
        if the buffer is different from the live object.
      operationId: get-content-api-v2-blog-posts-blog_post_id-has-buffered-changes
      parameters:
        - name: blog_post_id
          in: path
          required: true
          description: Unique identifier for a particular blog post
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Buffer changes status
          content:
            application/json:
              schema:
                type: object
                properties:
                  has_changes:
                    type: boolean
              example:
                has_changes: false
      security:
        - hapikey: []
        - oauth2:
            - content
components: {}

````